Inhalte
Index 🔎︎

# Funktion Year

Gibt aus einem seriellen Datum, das durch die Funktionen DateSerial oder DateValue erzeugt wurde, die Jahreskomponente zurück.

## Syntax:

    Year (Zahl)

## Rückgabewert:

Integer

## Parameter:

Zahl: Ausdruck vom Typ Integer, der die serielle Datumszahl enthält, deren Jahreskomponente bestimmt werden soll.

Diese Funktion ist das Gegenstück der Funktion DateSerial und gibt die Jahreskomponente eines seriellen Datums zurück. Beispielsweise ergibt der Ausdruck:

    Print Year(DateSerial(1994, 12, 20))

den Wert 1994.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleYear
        MsgBox "" & Year(Now) ,64,"Das aktuelle Jahr"
    End Sub